Type to search.

List roles

  • GET /platform/infrastructure/blueprinter/roles
Auth

Retrieve all persisted roles.

Response

The role aggregates.

application/json
values object[] required

The list

id string required

The unique id of this role

role object required

Persisted role along with metadata

value object required

Describes whether certain runners are blessed to run a Role.

id string required

The unique id of this role

auto_blessed boolean required

Whether runners are automatically allowed to be assigned the containers of this role.

containers object[] required

The containers that are part of this role

name string required

Name of the association

container_set_name string required

The container set name (id)

kind string required

The kind of container set, should be one of 'docker', 'elasticsearch', 'kibana', or 'apm'

options object required

Options for a ContainersEntry belonging to a role

enabled boolean required

Whether this allocation is active and should be created.

auths object[] required

ZooKeeper Auths associated with this allocation

scheme string required

Scheme identifier, usually "digest"

auth string required

Plain-text auth. For the "digest" scheme

acls object[] required

ZooKeeper ACLs associated with this allocation

id string required

Identity within the provided scheme.

perms integer · format: int32 required

Permissions

scheme string required

Auth scheme, in Elastic Cloud this is usually "digest"

runners_secret string

Secret shared between the runners that have containers in this container set allocated.

container_set_secret string

Secret shared between the containers that are part of this container set.

enabled_by_named_feature_flag string

A named feature flag to check whether this container is enabled or not

meta object required

Metadata of an entity

created_time string · format: date-time required

Creation time

modified_time string · format: date-time required

Modification time

version string required

Version